## qt-mobility 1.0.0-beta1-maemo6

=== config.tests/qmf/Makefile ===
#############################################################################
# Makefile for building: qmf
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 17 16:16:24 2010
# Project:  qmf.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile qmf.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/arm-F-17-2/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/arm-F-17-2/usr/include/QtCore -I/targets/arm-F-17-2/usr/include/QtGui -I/targets/arm-F-17-2/usr/include -I/support -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L -lqtopiamail -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../.qmake.cache \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		qmf.pro
QMAKE_TARGET  = qmf
DESTDIR       = 
TARGET        = qmf

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qmf.pro ../../.qmake.cache /targets/arm-F-17-2/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../.qmake.cache \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile qmf.pro
/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf:
../../.qmake.cache:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qmf.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qmf1.0.0 || $(MKDIR) .tmp/qmf1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qmf1.0.0/ && $(COPY_FILE) --parents main.cpp .tmp/qmf1.0.0/ && (cd `dirname .tmp/qmf1.0.0` && $(TAR) qmf1.0.0.tar qmf1.0.0 && $(COMPRESS) qmf1.0.0.tar) && $(MOVE) `dirname .tmp/qmf1.0.0`/qmf1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qmf1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
qt-mobility (1.0.0-beta1-maemo6) unstable; urgency=low

  * Qt dependencies update to the recent version.

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Mon, 17 May 2010 16:55:56 +0300

=== debian/control ===
Source: qt-mobility
Section: libs
Priority: extra
Maintainer: Antonio Aloisio <antonio.aloisio@nokia.com>
Build-Depends: libqt4-dev (>= 4.6.0), pc-connectivity-manager-dev, cdbs, debhelper (>= 5), autotools-dev, quilt, libgconf2-dev,
 libdbus-1-dev, libgconf2-dev, libglib2.0-dev, libsqlite3-dev, liblocation-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 libpulse0-dbg, libxml2-dev, libxv-dev, libasound2-dev
Standards-Version: 3.7.2

Package: libqtm-dev
Architecture: any
Section: devel
Depends: libqtm-bearer (= ${binary:Version}), libqtm-location (= ${binary:Version}),
 libqtm-contacts (= ${binary:Version}), libqtm-multimedia (= ${binary:Version}),
 libqtm-publishsubscribe (= ${binary:Version}), libqtm-versit (= ${binary:Version}),
 libqtm-messaging (= ${binary:Version}), libqtm-systeminfo (= ${binary:Version}),
 libqtm-serviceframework (= ${binary:Version})
Description: Qt Mobility development files
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This package contains the header development files and tools.

Package: libqtm-bearer
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-gui, libqt4-network
Description: Qt Mobility Bearer module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtBearer module
 .
 If you wish to to use the bearer module for development, you should install
 the libqtm-dev package.

Package: libqtm-location
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dbus, libqt4-xml,
 libqt4-core
Description: Qt Mobility location module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtLocation module
 .
 If you wish to to use the location module for development, you should install
 the libqtm-dev package.

Package: libqtm-contacts
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-gui, libqt4-core
Description: Qt Mobility contacts module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtContacts module
 .
 If you wish to to use the contacts module for development, you should install
 the libqtm-dev package.

Package: libqtm-multimedia
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-multimedia, libqt4-opengl,
 libqt4-gui, libqt4-network, libqt4-dbus, libqt4-xml, libqt4-core
Description: Qt Mobility multimedia module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtMultimedia module
 .
 If you wish to to use the multimedia module for development, you should
 install the libqtm-dev package.

Package: libqtm-publishsubscribe
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-network, libqt4-dbus,
 libqt4-xml, libqt4-core
Description: Qt Mobility publish and subscribe module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 If you wish to to use the publish and subscribe module for development, you
 should install the libqtm-dev package.

Package: libqtm-versit
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui
Description: Qt Mobility versit module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtVersit module
 .
 If you wish to to use the versit module for development, you should install
 the libqtm-dev package.

Package: libqtm-messaging
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility messaging module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 If you wish to to use the messaging module for development, you should install
 the libqtm-dev package.

Package: libqtm-systeminfo
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-network, libqt4-gui,
 libqt4-xml, libqt4-core
Description: Qt Mobility system information module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtSystemInfo module
 .
 If you wish to to use the systeminfo module for development, you should
 install the libqtm-dev package.

Package: libqtm-serviceframework
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql, libqt4-core
Description: Qt Mobility service framework module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtServiceFramework module
 .
 If you wish to to use the serviceframework module for development, you should
 install the libqtm-dev package.

Package: libqtm-sensors
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-gui, libqt4-core
Description: Qt Mobility service framework module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtSensors module
 .
 If you wish to to use the sensors module for development, you should install
 the libqtm-dev package.

Package: qt-mobility-examples
Architecture: any
Section: user/other 
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-webkit, libqt4-test,
 libqt4-opengl, libqt4-dbus, libqt4-xml, libqt4-multimedia,
 libqt4-sql, libqt4-svg
Conflicts: libqtm-examples 
Replaces: libqtm-examples
Description: Qt Mobility examples 
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This package contains Mobility examples

Package: libqtm-bearer-dbg
Architecture: any
Section: debug
Depends: libqtm-bearer (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt bearer libraries.

Package: libqtm-location-dbg
Architecture: any
Section: debug
Depends: libqtm-location (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt location libraries.

Package: libqtm-contacts-dbg
Architecture: any
Section: debug
Depends: libqtm-contacts (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt contacts libraries.

Package: libqtm-multimedia-dbg
Architecture: any
Section: debug
Depends: libqtm-multimedia (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt multimedia libraries.

Package: libqtm-publishsubscribe-dbg
Architecture: any
Section: debug
Depends: libqtm-publishsubscribe (= ${binary:Version})
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt publishsubscribe
 libraries.

Package: libqtm-versit-dbg
Architecture: any
Section: debug
Depends: libqtm-versit (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt versit libraries.

Package: libqtm-messaging-dbg
Architecture: any
Section: debug
Depends: libqtm-messaging (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal
